%define peardir %(pear config-get php_dir 2> /dev/null || print %{_datadir}/pear)
%define xmldir  /var/lib/pear
%define pear_name  Horde_Text_Diff
%define pear_sname horde_text_diff

Summary:        Engine for performing and rendering text diffs

Name:           php-horde-Horde_Text_Diff
Version:        2.0.2
Release:        3
License:        LGPL-2.1
Group:          Development/Libraries/PHP
Source0:        http://pear.horde.org/get/%{pear_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://pear.horde.org/package/%{pear_name}
#Build time requirements
BuildRequires:  php-channel-horde
BuildRequires:  php >= 5.3.0
BuildRequires:  php-pear >= 1.7.0
BuildRequires:  php-horde-Horde_Exception >= 2.0.0
BuildRequires:  php-horde-Horde_Util >= 2.0.0
#Install time requirements
Requires:       php-channel-horde
Requires:       php >= 5.3.0
Requires:       php-pear >= 1.7.0
Requires:       php-horde-Horde_Exception >= 2.0.0
Requires:       php-horde-Horde_Util >= 2.0.0
#optional packages for enhanced features
# Suggests:     php-horde-Horde_Test >= 2.1.0
BuildArch:      noarch
# Fix for renaming (package convention)
Provides:       php-horde-%{pear_sname} = %{version}
Provides:       pear-%{pear_sname} = %{version}
# Obsoletes:      php-horde-%{pear_sname} < %{version}
# Obsoletes:      pear-%{pear_sname} < %{version}

%description
A text-based diff engine and renderers for multiple diff output formats.

Lead Developers:
  Chuck Hagenbuch      <chuck@horde.org>
  Jan Schneider        <jan@horde.org>

%prep
%setup -c -q

# Patches go here. Make sure to update md5sum in package.xml, too.

cd %{pear_name}-%{version}

# configure pear and store config in "pearrc"
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=%{_docdir}/%{name} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

# package.xml is V2
mv ../package.xml %{name}.xml

%build

%install
rm -rf %{buildroot}

pushd %{pear_name}-%{version}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
cp -p %{name}.xml %{buildroot}%{xmldir}/%{pear_name}.xml

popd

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{pear_name}.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{pear_name}
fi

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}/
%{peardir}/*
%{xmldir}/%{pear_name}.xml

%changelog
